<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
$method = $_SERVER['REQUEST_METHOD'];

if ($method === 'OPTIONS') {
    header('Access-Control-Allow-Methods: GET, POST, PUT, DELETE');
    header('Access-Control-Allow-Headers: Origin, Accept, Content-Type, X-Requested-With');
    exit();
}
header("Access-Control-Allow-Methods: POST");

include_once '../../config/Database.php';
include_once '../../models/Author.php';

$database = new Database();
$db = $database->connect();

$data = json_decode(file_get_contents("php://input"));

function createAuthor($db, $data) {
    $author = new Author($db);

    if (!empty($data->author)) {
        $author->author = $data->author;

        $createdAuthorId = $author->create();
        if ($createdAuthorId) {
            return json_encode(array('message' => 'Quote Created'));
            
        } else {
            return json_encode(array("message" => "Unable to create author."));
        }
    } else {
        return json_encode(array("message" => "Missing Required Parameters"));
    }
}

echo createAuthor($db, $data);
